package com.njyunzhi.pet_identity.common;

public class Constants {
    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;


    // 客户端类型
    public final static String LOGIN_TYPE_ADMIN = "admin";
    public final static String LOGIN_TYPE_MINIAPP = "miniapp";

    // 用户角色
    public final static String USER_ADMIN = "admin";
    public final static String USER_AUDITOR = "auditor";
    public final static String USER_MAKER = "maker";
    public final static String USER_MANAGER = "manager";

    // 申请单类型
    public final static String APPLY_TYPE_FIRST = "first";  // 申请
    public final static String APPLY_TYPE_REISSUE = "reissue"; // 补办
    public final static String APPLY_TYPE_RENEWAL = "renewal"; // 续期

    // 申领方式
    public final static int APPLY_METHOD_AUTO = 1;  // 自主领取
    public final static int APPLY_METHOD_EXPRESS = 2;  // 快递

    // 支付状态
    public final static int PAY_STATUS_READY = 0;  // 未支付
    public final static int PAY_STATUS_PAYING = 1;  // 支付中
    public final static int PAY_STATUS_PAID = 2;  // 已支付
    public final static int PAY_STATUS_REFUND = 3;  // 已退款

    // 审核状态
    public final static int AUDIT_STATUS_READY = 0;  // 未审核
    public final static int AUDIT_STATUS_PASSED = 1;  // 审核通过
    public final static int AUDIT_STATUS_REJECT = 2;  // 审核驳回

    // 发证(制卡)状态
    public final static int MAKE_STATUS_READY = 0;  // 待发放
    public final static int MAKE_STATUS_MADE = 1;  // 已发放

    // 证件状态
    public final static int CARD_STATUS_NORMAL = 1;  // 正常
    public final static int CARD_STATUS_LOSS = 2;  // 挂失
    public final static int CARD_STATUS_EXPIRE = 3;  // 过期
    public final static int CARD_STATUS_CANCEL = 4;  // 作废

    // 流程状态
    public final static int WORKFLOW_STATUS_READY = 0;  // 提交申请(未支付)
    public final static int WORKFLOW_STATUS_PROCESSING = 1;  // 审批中
    public final static int WORKFLOW_STATUS_AUDIT = 2;  // 已审批
    public final static int WORKFLOW_STATUS_MADE = 3;  // 已发证

    // 流程进度
    public final static int WORKFLOW_PROCESS_AUDIT = 1;  // 待审批
    public final static int WORKFLOW_PROCESS_MADE = 2;  // 待发证

    // 系统参数
    public final static String SYSSETTING_EXPRESS_FEE = "express_fee";  // 快递费
    public final static String SYSSETTING_PRODUCTION_COST = "production_cost";  // 工本费
    public final static String SYSSETTING_CARD_EXPIRE = "card_expire";  // 证件有效期

    // 统计表分类
    public final static String STATIS_APPLICATION_DAILY = "application_daily"; // 日提交申请
}
